<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionPlaceOvenIndoor.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d6c/_action_place_oven_indoor_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ActionPlaceOvenIndoor.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/d6c/_action_place_oven_indoor_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d86/class_action_place_oven_indoor.html">ActionPlaceOvenIndoor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac5ac3c2e43181b71bbac9571d72c4e15"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c.html#ac5ac3c2e43181b71bbac9571d72c4e15">FireplaceToIndoorOvenLambda</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> new_item_type, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d8/d83/class_object.html">Object</a> target)</td></tr>
<tr class="separator:ac5ac3c2e43181b71bbac9571d72c4e15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a117c754c4a223a4c970d14c2261bdddf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c.html#a117c754c4a223a4c970d14c2261bdddf">CopyOldPropertiesToNew</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_item)</td></tr>
<tr class="separator:a117c754c4a223a4c970d14c2261bdddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a2d36b550c685c0ebfed60a751db5ee48"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d86/class_action_place_oven_indoor.html">ActionPlaceOvenIndoor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c.html#a2d36b550c685c0ebfed60a751db5ee48">m_FirePointIndex</a></td></tr>
<tr class="separator:a2d36b550c685c0ebfed60a751db5ee48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40a114cf9f685701f5918100ff81a3b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c.html#ab40a114cf9f685701f5918100ff81a3b">m_FireplaceRot</a></td></tr>
<tr class="separator:ab40a114cf9f685701f5918100ff81a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2993b523c7046c6d1c1f6f77287d501a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c.html#a2993b523c7046c6d1c1f6f77287d501a">m_SmokePosition</a></td></tr>
<tr class="separator:a2993b523c7046c6d1c1f6f77287d501a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a117c754c4a223a4c970d14c2261bdddf" name="a117c754c4a223a4c970d14c2261bdddf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a117c754c4a223a4c970d14c2261bdddf">&#9670;&#160;</a></span>CopyOldPropertiesToNew()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void CopyOldPropertiesToNew </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c_source.html#l00102">102</a> of file <a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c_source.html">ActionPlaceOvenIndoor.c</a>.</p>

</div>
</div>
<a id="ac5ac3c2e43181b71bbac9571d72c4e15" name="ac5ac3c2e43181b71bbac9571d72c4e15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5ac3c2e43181b71bbac9571d72c4e15">&#9670;&#160;</a></span>FireplaceToIndoorOvenLambda()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FireplaceToIndoorOvenLambda </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>new_item_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c_source.html#l00084">84</a> of file <a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c_source.html">ActionPlaceOvenIndoor.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ab40a114cf9f685701f5918100ff81a3b" name="ab40a114cf9f685701f5918100ff81a3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab40a114cf9f685701f5918100ff81a3b">&#9670;&#160;</a></span>m_FireplaceRot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_FireplaceRot</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c_source.html#l00081">81</a> of file <a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c_source.html">ActionPlaceOvenIndoor.c</a>.</p>

</div>
</div>
<a id="a2d36b550c685c0ebfed60a751db5ee48" name="a2d36b550c685c0ebfed60a751db5ee48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d36b550c685c0ebfed60a751db5ee48">&#9670;&#160;</a></span>m_FirePointIndex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d86/class_action_place_oven_indoor.html">ActionPlaceOvenIndoor</a> m_FirePointIndex</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2993b523c7046c6d1c1f6f77287d501a" name="a2993b523c7046c6d1c1f6f77287d501a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2993b523c7046c6d1c1f6f77287d501a">&#9670;&#160;</a></span>m_SmokePosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> m_SmokePosition</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c_source.html#l00082">82</a> of file <a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c_source.html">ActionPlaceOvenIndoor.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d5/d6c/_action_place_oven_indoor_8c.html">ActionPlaceOvenIndoor.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
